@import "~swiper/swiper.scss";
@import '../../../styles/global/var';
@import '../../../styles/global/var-pages';

@mixin bullet-text {
    display: block;
    position: absolute;
    top: 100px;
    font-weight: 500;
    font-size: 14px;
    white-space: nowrap;
    color: $gray57c;
    pointer-events: none;
}

.wizard {
    &-controls {
        display: flex;
        justify-content: flex-end;

        &__link {
            &:hover {
                text-decoration: none;
                cursor: pointer;

                & .link-text {
                    color: $black;
                }
                & .material-icons {
                    color: $black;
                }
            }
            & .material-icons {
                line-height: 20px;
                font-size: 18px;
                height: 18px;
                width: 18px;
                min-height: 18px;
                min-width: 18px;
                margin-right: 4px;
                transition: color .25s ease;
            }
            & .link {
                &-text {
                    color: $gray57c;
                    font-weight: 500;
                    font-size: 14px;
                    line-height: 20px;
                    vertical-align: middle;
                    transition: color .25s ease;
                }
            }
        }
    }
    &-slider {
        &__section {
            position: relative;
            margin-top: 20px;
            background: $white;
            box-shadow: 0 3px 3px rgba(0, 0, 0, 0.08), 0 3px 4px rgba(0, 0, 0, 0.05), 0 1px 8px rgba(0, 0, 0, 0.14);
            border-radius: 8px;
        }

        &__container {
            overflow: hidden;
        }

        &__pagination {
            position: absolute;
            z-index: 2;
            top: -60px;
            left: 0;
            height: 88px;
            width: calc(100% - 120px);
            padding-left: 120px;
            margin: 0 20px;
            display: flex;
            justify-content: center;
            align-items: center;

            &-divider {
                width: 100%;
                max-width: 300px;
                height: 2px;
                background-color: #ccc;
                flex: 1 1 100%;
                cursor: default;
            }

            &-bullet {
                flex: 0 1 388px;
                display: flex;
                align-items: center;
                cursor: default;

                &:first-child {
                    display: none;
                }

                &:nth-child(2n) {
                    .wizard-slider__pagination-element {
                        &-wrapper {
                            &:before {
                                @include bullet-text;
                                content: 'Core concepts';
                                left: 0;
                            }
                        }
                    }
                }

                &:last-child {
                    flex: 0 0 88px;

                    & .wizard-slider__pagination-divider {
                        display: none;
                    }

                    .wizard-slider__pagination-element {
                        &-icon {
                            display: none;
                        }

                        &-wrapper {
                            &:before {
                                @include bullet-text;
                                content: 'Reporting agent configuration';
                                left: -30px;
                            }
                        }
                    }
                }

                &._previous {
                    .wizard-slider__pagination {
                        &-element {
                            &-wrapper {
                                background-color: $brand-light;
                                border: 2px solid $brand-light;
                            }

                            &-icon {
                                background-image: url(../../../assets/images/wizard/check.svg);
                                background-repeat: no-repeat;
                                background-position: 50% 50%;
                            }
                        }

                        &-divider {
                            background-color: $brand-light;
                        }
                    }
                }

                &._active {
                    .wizard-slider__pagination-element {
                        &-wrapper {
                            border: 2px solid $brand-light;
                        }

                        &-icon {
                            width: 30px;
                            height: 30px;
                            background-image: url(../../../assets/images/wizard/chevron-green.svg);
                            background-repeat: no-repeat;
                            background-position: 50% 50%;
                        }
                    }
                }
            }

            &-element {
                position: relative;
                width: 88px;
                height: 88px;
                border-radius: 50%;
                background-color: #F7F7F7;
                flex: 0 0 88px;
                display: flex;
                align-items: center;
                justify-content: center;
                cursor: pointer;

                &:after {
                    position: absolute;
                    display: block;
                    content: '';
                    left: 50%;
                    bottom: 0;
                    width: 100px;
                    height: 35px;
                    transform: translateX(-50%);
                    background-image: url(../../../assets/images/wizard/circle.svg);
                    background-repeat: no-repeat;
                }

                &-wrapper {
                    width: 56px;
                    height: 56px;
                    border-radius: 50%;
                    background-color: $white;
                    border: 2px solid $white;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    z-index: 2;
                    transition: background-color .25s ease, border-color .25s ease;

                    &:hover {
                        background-color: $gray3e5;
                        border-color: $gray3e5;
                    }
                }

                &-icon {
                    width: 30px;
                    height: 30px;
                    background-image: url(../../../assets/images/wizard/chevron-gray.svg);
                    background-repeat: no-repeat;
                    background-position: 50% 50%;
                }
            }
        }

        &__footer {
            padding: 16px 40px 40px;
            display: flex;
            justify-content: space-between;
            align-items: center;

            .swiper-nav-btn {
                min-width: 130px !important; // !important to avoid size change when focused
                min-height: 42px !important; // !important to avoid size change when focused
                max-height: none;

                & .material-icons {
                    line-height: 18px;
                    font-size: 20px;
                    height: 20px;
                    width: 20px;
                    min-height: 20px;
                    min-width: 20px;
                }

                &._hidden {
                    opacity: 0;
                    visibility: hidden;
                    pointer-events: none;
                }

                &._prev {
                    & .material-icons {
                        margin-right: 8px;
                    }
                }

                &._next {
                    & .material-icons {
                        margin-left: 8px;
                    }
                }
            }
        }
    }

    &-slide {
        width: 100%;
        padding: 130px 40px 40px;

        &__spinner {
            &-wrapper {
                padding: 16px;
                display: flex;
                align-items: center;
                justify-content: center;
            }
        }
    }

    @media screen and (max-width: $screen-sm-min) {
        &-slider {
            &__pagination {
                display: none;
            }
        }
    }

    @media screen and (max-width: $md-screen-xs) {
        &-slider {
            margin-right: -#{$page-padding-right-left-mobile};
            margin-left: -#{$page-padding-right-left-mobile};

            &__section {
                background: transparent;
                box-shadow: none;
                border-radius: 0;
            }

            &__footer {
                padding: 40px $page-padding-right-left-mobile;
            }
        }
    }
}
